var search_data = {"index":{"searchIndex":["mpv","client","mpverror","mpvnotavailableerror","mpvunsupportedflagerror","server","session","utils","alive?()","available?()","command()","dispatch_events!()","distribute_results!()","ensure_available!()","ensure_flag!()","flag?()","get_property()","new()","new()","new()","new()","new()","pump_commands!()","pump_results!()","quit!()","running?()","set_property()","tmpsock()","which?()"],"longSearchIndex":["mpv","mpv::client","mpv::mpverror","mpv::mpvnotavailableerror","mpv::mpvunsupportedflagerror","mpv::server","mpv::session","mpv::utils","mpv::client#alive?()","mpv::server::available?()","mpv::client#command()","mpv::client#dispatch_events!()","mpv::client#distribute_results!()","mpv::server::ensure_available!()","mpv::server::ensure_flag!()","mpv::server::flag?()","mpv::client#get_property()","mpv::client::new()","mpv::mpvnotavailableerror::new()","mpv::mpvunsupportedflagerror::new()","mpv::server::new()","mpv::session::new()","mpv::client#pump_commands!()","mpv::client#pump_results!()","mpv::client#quit!()","mpv::server#running?()","mpv::client#set_property()","mpv::utils::tmpsock()","mpv::utils::which?()"],"info":[["MPV","","MPV.html","","<p>The toplevel namespace for ruby-mpv.\n"],["MPV::Client","","MPV/Client.html","","<p>Represents a connection to a mpv process that has been spawned with an IPC socket. @see mpv.io/manual/stable/#json-ipc …\n"],["MPV::MPVError","","MPV/MPVError.html","","<p>A generic error class for ruby-mpv.\n"],["MPV::MPVNotAvailableError","","MPV/MPVNotAvailableError.html","","<p>Raised when `mpv` cannot be executed.\n"],["MPV::MPVUnsupportedFlagError","","MPV/MPVUnsupportedFlagError.html","","<p>Raised when `mpv` doesn&#39;t support a requested flag.\n"],["MPV::Server","","MPV/Server.html","","<p>Represents an active mpv process.\n"],["MPV::Session","","MPV/Session.html","","<p>Represents a combined mpv “server” and “client” communicating over JSON IPC.\n"],["MPV::Utils","","MPV/Utils.html","","<p>Various utility methods for ruby-mpv.\n"],["alive?","MPV::Client","MPV/Client.html#method-i-alive-3F","()","<p>@return [Boolean] whether or not the player is currently active @note When false, most methods will cease …\n"],["available?","MPV::Server","MPV/Server.html#method-c-available-3F","()","<p>@return [Boolean] whether `mpv` is executable within the system path\n"],["command","MPV::Client","MPV/Client.html#method-i-command","(*args)","<p>Sends a command to the mpv process. @param args [Array] the individual command arguments to send @return …\n"],["dispatch_events!","MPV::Client","MPV/Client.html#method-i-dispatch_events-21","()","<p>Takes events from the event queue and dispatches them to callbacks. @api private\n"],["distribute_results!","MPV::Client","MPV/Client.html#method-i-distribute_results-21","()","<p>Distributes results to the event and result queues. @api private\n"],["ensure_available!","MPV::Server","MPV/Server.html#method-c-ensure_available-21","()","<p>Ensures that a binary named `mpv` can be executed. @raise [MPVNotAvailableError] if no `mpv` executable …\n"],["ensure_flag!","MPV::Server","MPV/Server.html#method-c-ensure_flag-21","(flag)","<p>Ensures that that the `mpv` being executed supports the given flag. @raise [MPVNotAvailableError] if …\n"],["flag?","MPV::Server","MPV/Server.html#method-c-flag-3F","(flag)","<p>@return [Boolean] whether `mpv` supports the given flag @note returns false if `mpv` is not available …\n"],["get_property","MPV::Client","MPV/Client.html#method-i-get_property","(*args)","<p>Retrieves a property from the mpv process. @param args [Array] the individual property arguments to send …\n"],["new","MPV::Client","MPV/Client.html#method-c-new","(path)","<p>@param path [String] the domain socket for communication with mpv\n"],["new","MPV::MPVNotAvailableError","MPV/MPVNotAvailableError.html#method-c-new","()",""],["new","MPV::MPVUnsupportedFlagError","MPV/MPVUnsupportedFlagError.html#method-c-new","(flag)",""],["new","MPV::Server","MPV/Server.html#method-c-new","(path: File.join('/tmp', Utils.tmpsock), user_args: [])","<p>@param path [String] the path of the socket to be created\n\n<pre>(defaults to a tmpname in `/tmp`)</pre>\n<p>@param user_args …\n"],["new","MPV::Session","MPV/Session.html#method-c-new","(path: File.join('/tmp', Utils.tmpsock), user_args: [])","<p>@param path [String] the path of the socket to create\n\n<pre>(defaults to a tmpname in `/tmp`)</pre>\n<p>@param user_args …\n"],["pump_commands!","MPV::Client","MPV/Client.html#method-i-pump_commands-21","()","<p>Pumps commands from the command queue to the socket. @api private\n"],["pump_results!","MPV::Client","MPV/Client.html#method-i-pump_results-21","()","<p>Distributes results in a nonterminating loop. @api private\n"],["quit!","MPV::Client","MPV/Client.html#method-i-quit-21","()","<p>Terminates the mpv process. @return [void] @note this object becomes garbage once this method is run …\n"],["running?","MPV::Server","MPV/Server.html#method-i-running-3F","()","<p>@return [Boolean] whether or not the mpv process is running\n"],["set_property","MPV::Client","MPV/Client.html#method-i-set_property","(*args)","<p>Sends a property change to the mpv process. @param args [Array] the individual property arguments to …\n"],["tmpsock","MPV::Utils","MPV/Utils.html#method-c-tmpsock","()",""],["which?","MPV::Utils","MPV/Utils.html#method-c-which-3F","(util)","<p>Tests whether the given utility is available in the system path. @param util [String] the utility to …\n"]]}}